@use 'reset';

@import url("https://fonts.googleapis.com/css2?family=Lexend+Deca&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap");

:root {
  --font-size: 15px;

  --clr-primary-900: hsl(233, 47%, 7%);
  --clr-primary-500: hsl(244, 38%, 16%);
  --clr-primary-300: hsl(277, 64%, 61%);

  --clr-neutral-900: hsl(0, 0%, 100%);
  --clr-neutral-500: hsla(0, 0%, 100%, 0.75);
  --clr-neutral-400: hsla(0, 0%, 100%, 0.6);

  --font-family-inter: "Inter", sans-serif;
  --font-family-lexend-deca: "Lexend Deca", sans-serif;
}

$mobile-breakpoint: 768px;
$desktop-breakpoint: 1200px;

* {
  padding: 0;
  margin: 0;
}

body {
  font-size: var(--font-size);
  font-weight: 400;
  font-family: var(--font-family-inter);
  background: var(--clr-primary-900);
  color: var(--clr-neutral-500);
}

main {
  background: var(--clr-primary-500);
  display: flex;
  flex-direction: column;
  margin: 6rem 2rem;
  border-radius: 0.5rem;
  max-width: 1120px;

  @media (min-width: $mobile-breakpoint) {
    flex-direction: row-reverse;
    margin-top: 10rem;
    margin-bottom: 10rem;
  }

  @media (min-width: $desktop-breakpoint) {
    margin-left: auto;
    margin-right: auto;
  }

  > * {
    flex-basis: 100%;
    flex-grow: 0;
  }
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 1.5rem;

  @media (min-width: $mobile-breakpoint) {
    padding: 4rem 4.5rem;
  }

  .card-body {
    text-align: center;
    margin-bottom: 2rem;

    @media (min-width: $mobile-breakpoint) {
      text-align: initial;
      margin-bottom: 4rem;
    }

    .card-title {
      color: var(--clr-neutral-900);
      font-weight: 700;
      font-size: 1.5rem;
      margin-bottom: 1rem;

      @media (min-width: $mobile-breakpoint) {
        font-size: 2.25rem;
        line-height: 2.5rem;
        margin-bottom: 2rem;
      }
    }

    p {
      @media (min-width: $mobile-breakpoint) {
        font-size: 1rem;
        max-width: 40ch;
      }

      line-height: 1.5rem;
      color: var(--clr-neutral-400);
    }
  }

  .card-stats {
    display: flex;
    color: var(--clr-neutral-400);
    flex-direction: column;
    align-items: center;
    text-align: center;

    @media (min-width: $mobile-breakpoint) {
      flex-direction: row;
      text-align: initial;
    }

    > * {
      flex: 1;
      margin-bottom: 1.5rem;

      @media (min-width: $mobile-breakpoint) {
        margin-bottom: 0;
      }
    }

    .title {
      font-size: 1.5rem;
      color: var(--clr-neutral-900);
      font-weight: 700;
    }

    .subtitle {
      text-transform: uppercase;
      letter-spacing: 0.1rem;
      font-size: 0.75rem;
    }
  }
}

.img-container {
  background: url("/images/image-header-mobile.jpg") rgba(170, 92, 219, 0.9);
  background-size: cover;
  background-blend-mode: multiply;
  background-repeat: no-repeat;
  position: relative;
  min-height: 220px;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;

  @media (min-width: $mobile-breakpoint) {
    border-top-left-radius: 0;
    border-bottom-right-radius: 0.5rem;
    background: url("/images/image-header-desktop.jpg") rgba(170, 92, 219, 0.9);
    background-size: cover;
    min-width: 220px;
    max-width: 540px;
  }
}

mark {
  color: var(--clr-primary-300);
  background-color: transparent;
}
